using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[]s=Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            s=Console.ReadLine().Split();
            int[]h=new int[n];
            for(int i=0; i<n; i++)
            {
                h[i] = int.Parse(s[i]);
            }
            for (int i = 0; i < n; i++)
            {
                if (h[i] <= l)
                {
                    Console.WriteLine(i + 1);
                    return;
                }
            }
            Console.WriteLine(-1);
        }
    }
}